import { ParseTreeVisitor } from 'antlr4';
import { StatementOrCommandContext } from "./Cypher5CmdParser.js";
import { PreparsedStatementContext } from "./Cypher5CmdParser.js";
import { CypherVersionContext } from "./Cypher5CmdParser.js";
import { PreparserOptionContext } from "./Cypher5CmdParser.js";
import { ConsoleCommandContext } from "./Cypher5CmdParser.js";
import { ParamsCmdContext } from "./Cypher5CmdParser.js";
import { ParamsArgsContext } from "./Cypher5CmdParser.js";
import { LambdaContext } from "./Cypher5CmdParser.js";
import { ClearCmdContext } from "./Cypher5CmdParser.js";
import { HistoryCmdContext } from "./Cypher5CmdParser.js";
import { UseCmdContext } from "./Cypher5CmdParser.js";
import { ListCompletionRuleContext } from "./Cypher5CmdParser.js";
import { UseCompletionRuleContext } from "./Cypher5CmdParser.js";
import { ExternalKeywordsContext } from "./Cypher5CmdParser.js";
import { StatementsContext } from "./Cypher5CmdParser.js";
import { StatementContext } from "./Cypher5CmdParser.js";
import { PeriodicCommitQueryHintFailureContext } from "./Cypher5CmdParser.js";
import { RegularQueryContext } from "./Cypher5CmdParser.js";
import { SingleQueryContext } from "./Cypher5CmdParser.js";
import { ClauseContext } from "./Cypher5CmdParser.js";
import { UseClauseContext } from "./Cypher5CmdParser.js";
import { GraphReferenceContext } from "./Cypher5CmdParser.js";
import { FinishClauseContext } from "./Cypher5CmdParser.js";
import { ReturnClauseContext } from "./Cypher5CmdParser.js";
import { ReturnBodyContext } from "./Cypher5CmdParser.js";
import { ReturnItemContext } from "./Cypher5CmdParser.js";
import { ReturnItemsContext } from "./Cypher5CmdParser.js";
import { OrderItemContext } from "./Cypher5CmdParser.js";
import { AscTokenContext } from "./Cypher5CmdParser.js";
import { DescTokenContext } from "./Cypher5CmdParser.js";
import { OrderByContext } from "./Cypher5CmdParser.js";
import { SkipContext } from "./Cypher5CmdParser.js";
import { LimitContext } from "./Cypher5CmdParser.js";
import { WhereClauseContext } from "./Cypher5CmdParser.js";
import { WithClauseContext } from "./Cypher5CmdParser.js";
import { CreateClauseContext } from "./Cypher5CmdParser.js";
import { InsertClauseContext } from "./Cypher5CmdParser.js";
import { SetClauseContext } from "./Cypher5CmdParser.js";
import { SetPropContext } from "./Cypher5CmdParser.js";
import { SetDynamicPropContext } from "./Cypher5CmdParser.js";
import { SetPropsContext } from "./Cypher5CmdParser.js";
import { AddPropContext } from "./Cypher5CmdParser.js";
import { SetLabelsContext } from "./Cypher5CmdParser.js";
import { SetLabelsIsContext } from "./Cypher5CmdParser.js";
import { RemoveClauseContext } from "./Cypher5CmdParser.js";
import { RemovePropContext } from "./Cypher5CmdParser.js";
import { RemoveDynamicPropContext } from "./Cypher5CmdParser.js";
import { RemoveLabelsContext } from "./Cypher5CmdParser.js";
import { RemoveLabelsIsContext } from "./Cypher5CmdParser.js";
import { DeleteClauseContext } from "./Cypher5CmdParser.js";
import { MatchClauseContext } from "./Cypher5CmdParser.js";
import { MatchModeContext } from "./Cypher5CmdParser.js";
import { HintContext } from "./Cypher5CmdParser.js";
import { MergeClauseContext } from "./Cypher5CmdParser.js";
import { MergeActionContext } from "./Cypher5CmdParser.js";
import { UnwindClauseContext } from "./Cypher5CmdParser.js";
import { CallClauseContext } from "./Cypher5CmdParser.js";
import { ProcedureNameContext } from "./Cypher5CmdParser.js";
import { ProcedureArgumentContext } from "./Cypher5CmdParser.js";
import { ProcedureResultItemContext } from "./Cypher5CmdParser.js";
import { LoadCSVClauseContext } from "./Cypher5CmdParser.js";
import { ForeachClauseContext } from "./Cypher5CmdParser.js";
import { SubqueryClauseContext } from "./Cypher5CmdParser.js";
import { SubqueryScopeContext } from "./Cypher5CmdParser.js";
import { SubqueryInTransactionsParametersContext } from "./Cypher5CmdParser.js";
import { SubqueryInTransactionsBatchParametersContext } from "./Cypher5CmdParser.js";
import { SubqueryInTransactionsErrorParametersContext } from "./Cypher5CmdParser.js";
import { SubqueryInTransactionsReportParametersContext } from "./Cypher5CmdParser.js";
import { OrderBySkipLimitClauseContext } from "./Cypher5CmdParser.js";
import { PatternListContext } from "./Cypher5CmdParser.js";
import { InsertPatternListContext } from "./Cypher5CmdParser.js";
import { PatternContext } from "./Cypher5CmdParser.js";
import { InsertPatternContext } from "./Cypher5CmdParser.js";
import { QuantifierContext } from "./Cypher5CmdParser.js";
import { AnonymousPatternContext } from "./Cypher5CmdParser.js";
import { ShortestPathPatternContext } from "./Cypher5CmdParser.js";
import { PatternElementContext } from "./Cypher5CmdParser.js";
import { AnyShortestPathContext } from "./Cypher5CmdParser.js";
import { AllShortestPathContext } from "./Cypher5CmdParser.js";
import { AnyPathContext } from "./Cypher5CmdParser.js";
import { AllPathContext } from "./Cypher5CmdParser.js";
import { ShortestGroupContext } from "./Cypher5CmdParser.js";
import { GroupTokenContext } from "./Cypher5CmdParser.js";
import { PathTokenContext } from "./Cypher5CmdParser.js";
import { PathPatternNonEmptyContext } from "./Cypher5CmdParser.js";
import { NodePatternContext } from "./Cypher5CmdParser.js";
import { InsertNodePatternContext } from "./Cypher5CmdParser.js";
import { ParenthesizedPathContext } from "./Cypher5CmdParser.js";
import { NodeLabelsContext } from "./Cypher5CmdParser.js";
import { NodeLabelsIsContext } from "./Cypher5CmdParser.js";
import { DynamicExpressionContext } from "./Cypher5CmdParser.js";
import { DynamicLabelTypeContext } from "./Cypher5CmdParser.js";
import { LabelTypeContext } from "./Cypher5CmdParser.js";
import { RelTypeContext } from "./Cypher5CmdParser.js";
import { LabelOrRelTypeContext } from "./Cypher5CmdParser.js";
import { PropertiesContext } from "./Cypher5CmdParser.js";
import { RelationshipPatternContext } from "./Cypher5CmdParser.js";
import { InsertRelationshipPatternContext } from "./Cypher5CmdParser.js";
import { LeftArrowContext } from "./Cypher5CmdParser.js";
import { ArrowLineContext } from "./Cypher5CmdParser.js";
import { RightArrowContext } from "./Cypher5CmdParser.js";
import { PathLengthContext } from "./Cypher5CmdParser.js";
import { LabelExpressionContext } from "./Cypher5CmdParser.js";
import { LabelExpression4Context } from "./Cypher5CmdParser.js";
import { LabelExpression4IsContext } from "./Cypher5CmdParser.js";
import { LabelExpression3Context } from "./Cypher5CmdParser.js";
import { LabelExpression3IsContext } from "./Cypher5CmdParser.js";
import { LabelExpression2Context } from "./Cypher5CmdParser.js";
import { LabelExpression2IsContext } from "./Cypher5CmdParser.js";
import { ParenthesizedLabelExpressionContext } from "./Cypher5CmdParser.js";
import { AnyLabelContext } from "./Cypher5CmdParser.js";
import { LabelNameContext } from "./Cypher5CmdParser.js";
import { ParenthesizedLabelExpressionIsContext } from "./Cypher5CmdParser.js";
import { AnyLabelIsContext } from "./Cypher5CmdParser.js";
import { LabelNameIsContext } from "./Cypher5CmdParser.js";
import { InsertNodeLabelExpressionContext } from "./Cypher5CmdParser.js";
import { InsertRelationshipLabelExpressionContext } from "./Cypher5CmdParser.js";
import { ExpressionContext } from "./Cypher5CmdParser.js";
import { Expression11Context } from "./Cypher5CmdParser.js";
import { Expression10Context } from "./Cypher5CmdParser.js";
import { Expression9Context } from "./Cypher5CmdParser.js";
import { Expression8Context } from "./Cypher5CmdParser.js";
import { Expression7Context } from "./Cypher5CmdParser.js";
import { StringAndListComparisonContext } from "./Cypher5CmdParser.js";
import { NullComparisonContext } from "./Cypher5CmdParser.js";
import { TypeComparisonContext } from "./Cypher5CmdParser.js";
import { NormalFormComparisonContext } from "./Cypher5CmdParser.js";
import { NormalFormContext } from "./Cypher5CmdParser.js";
import { Expression6Context } from "./Cypher5CmdParser.js";
import { Expression5Context } from "./Cypher5CmdParser.js";
import { Expression4Context } from "./Cypher5CmdParser.js";
import { Expression3Context } from "./Cypher5CmdParser.js";
import { Expression2Context } from "./Cypher5CmdParser.js";
import { PropertyPostfixContext } from "./Cypher5CmdParser.js";
import { LabelPostfixContext } from "./Cypher5CmdParser.js";
import { IndexPostfixContext } from "./Cypher5CmdParser.js";
import { RangePostfixContext } from "./Cypher5CmdParser.js";
import { PropertyContext } from "./Cypher5CmdParser.js";
import { DynamicPropertyContext } from "./Cypher5CmdParser.js";
import { PropertyExpressionContext } from "./Cypher5CmdParser.js";
import { DynamicPropertyExpressionContext } from "./Cypher5CmdParser.js";
import { Expression1Context } from "./Cypher5CmdParser.js";
import { NummericLiteralContext } from "./Cypher5CmdParser.js";
import { StringsLiteralContext } from "./Cypher5CmdParser.js";
import { OtherLiteralContext } from "./Cypher5CmdParser.js";
import { BooleanLiteralContext } from "./Cypher5CmdParser.js";
import { KeywordLiteralContext } from "./Cypher5CmdParser.js";
import { CaseExpressionContext } from "./Cypher5CmdParser.js";
import { CaseAlternativeContext } from "./Cypher5CmdParser.js";
import { ExtendedCaseExpressionContext } from "./Cypher5CmdParser.js";
import { ExtendedCaseAlternativeContext } from "./Cypher5CmdParser.js";
import { WhenStringOrListContext } from "./Cypher5CmdParser.js";
import { WhenNullContext } from "./Cypher5CmdParser.js";
import { WhenTypeContext } from "./Cypher5CmdParser.js";
import { WhenFormContext } from "./Cypher5CmdParser.js";
import { WhenComparatorContext } from "./Cypher5CmdParser.js";
import { WhenEqualsContext } from "./Cypher5CmdParser.js";
import { ListComprehensionContext } from "./Cypher5CmdParser.js";
import { PatternComprehensionContext } from "./Cypher5CmdParser.js";
import { ReduceExpressionContext } from "./Cypher5CmdParser.js";
import { ListItemsPredicateContext } from "./Cypher5CmdParser.js";
import { NormalizeFunctionContext } from "./Cypher5CmdParser.js";
import { TrimFunctionContext } from "./Cypher5CmdParser.js";
import { PatternExpressionContext } from "./Cypher5CmdParser.js";
import { ShortestPathExpressionContext } from "./Cypher5CmdParser.js";
import { ParenthesizedExpressionContext } from "./Cypher5CmdParser.js";
import { MapProjectionContext } from "./Cypher5CmdParser.js";
import { MapProjectionElementContext } from "./Cypher5CmdParser.js";
import { CountStarContext } from "./Cypher5CmdParser.js";
import { ExistsExpressionContext } from "./Cypher5CmdParser.js";
import { CountExpressionContext } from "./Cypher5CmdParser.js";
import { CollectExpressionContext } from "./Cypher5CmdParser.js";
import { NumberLiteralContext } from "./Cypher5CmdParser.js";
import { SignedIntegerLiteralContext } from "./Cypher5CmdParser.js";
import { ListLiteralContext } from "./Cypher5CmdParser.js";
import { PropertyKeyNameContext } from "./Cypher5CmdParser.js";
import { ParameterContext } from "./Cypher5CmdParser.js";
import { ParameterNameContext } from "./Cypher5CmdParser.js";
import { FunctionInvocationContext } from "./Cypher5CmdParser.js";
import { FunctionArgumentContext } from "./Cypher5CmdParser.js";
import { FunctionNameContext } from "./Cypher5CmdParser.js";
import { NamespaceContext } from "./Cypher5CmdParser.js";
import { VariableContext } from "./Cypher5CmdParser.js";
import { NonEmptyNameListContext } from "./Cypher5CmdParser.js";
import { TypeContext } from "./Cypher5CmdParser.js";
import { TypePartContext } from "./Cypher5CmdParser.js";
import { TypeNameContext } from "./Cypher5CmdParser.js";
import { TypeNullabilityContext } from "./Cypher5CmdParser.js";
import { TypeListSuffixContext } from "./Cypher5CmdParser.js";
import { CommandContext } from "./Cypher5CmdParser.js";
import { CreateCommandContext } from "./Cypher5CmdParser.js";
import { DropCommandContext } from "./Cypher5CmdParser.js";
import { ShowCommandContext } from "./Cypher5CmdParser.js";
import { ShowCommandYieldContext } from "./Cypher5CmdParser.js";
import { YieldItemContext } from "./Cypher5CmdParser.js";
import { YieldSkipContext } from "./Cypher5CmdParser.js";
import { YieldLimitContext } from "./Cypher5CmdParser.js";
import { YieldClauseContext } from "./Cypher5CmdParser.js";
import { CommandOptionsContext } from "./Cypher5CmdParser.js";
import { TerminateCommandContext } from "./Cypher5CmdParser.js";
import { ComposableCommandClausesContext } from "./Cypher5CmdParser.js";
import { ComposableShowCommandClausesContext } from "./Cypher5CmdParser.js";
import { ShowBriefAndYieldContext } from "./Cypher5CmdParser.js";
import { ShowIndexCommandContext } from "./Cypher5CmdParser.js";
import { ShowIndexesAllowBriefContext } from "./Cypher5CmdParser.js";
import { ShowIndexesNoBriefContext } from "./Cypher5CmdParser.js";
import { ShowConstraintMultiContext } from "./Cypher5CmdParser.js";
import { ShowConstraintUniqueContext } from "./Cypher5CmdParser.js";
import { ShowConstraintKeyContext } from "./Cypher5CmdParser.js";
import { ShowConstraintRelExistContext } from "./Cypher5CmdParser.js";
import { ShowConstraintOldExistsContext } from "./Cypher5CmdParser.js";
import { ShowConstraintBriefAndYieldContext } from "./Cypher5CmdParser.js";
import { ConstraintAllowYieldTypeContext } from "./Cypher5CmdParser.js";
import { ConstraintExistTypeContext } from "./Cypher5CmdParser.js";
import { ConstraintBriefAndYieldTypeContext } from "./Cypher5CmdParser.js";
import { ShowConstraintsAllowBriefAndYieldContext } from "./Cypher5CmdParser.js";
import { ShowConstraintsAllowBriefContext } from "./Cypher5CmdParser.js";
import { ShowConstraintsAllowYieldContext } from "./Cypher5CmdParser.js";
import { ShowProceduresContext } from "./Cypher5CmdParser.js";
import { ShowFunctionsContext } from "./Cypher5CmdParser.js";
import { FunctionTokenContext } from "./Cypher5CmdParser.js";
import { ExecutableByContext } from "./Cypher5CmdParser.js";
import { ShowFunctionsTypeContext } from "./Cypher5CmdParser.js";
import { ShowTransactionsContext } from "./Cypher5CmdParser.js";
import { TerminateTransactionsContext } from "./Cypher5CmdParser.js";
import { ShowSettingsContext } from "./Cypher5CmdParser.js";
import { SettingTokenContext } from "./Cypher5CmdParser.js";
import { NamesAndClausesContext } from "./Cypher5CmdParser.js";
import { StringsOrExpressionContext } from "./Cypher5CmdParser.js";
import { CommandNodePatternContext } from "./Cypher5CmdParser.js";
import { CommandRelPatternContext } from "./Cypher5CmdParser.js";
import { CreateConstraintContext } from "./Cypher5CmdParser.js";
import { ConstraintExistsContext } from "./Cypher5CmdParser.js";
import { ConstraintTypedContext } from "./Cypher5CmdParser.js";
import { ConstraintIsUniqueContext } from "./Cypher5CmdParser.js";
import { ConstraintKeyContext } from "./Cypher5CmdParser.js";
import { ConstraintIsNotNullContext } from "./Cypher5CmdParser.js";
import { DropConstraintContext } from "./Cypher5CmdParser.js";
import { CreateIndexContext } from "./Cypher5CmdParser.js";
import { OldCreateIndexContext } from "./Cypher5CmdParser.js";
import { CreateIndex_Context } from "./Cypher5CmdParser.js";
import { CreateFulltextIndexContext } from "./Cypher5CmdParser.js";
import { FulltextNodePatternContext } from "./Cypher5CmdParser.js";
import { FulltextRelPatternContext } from "./Cypher5CmdParser.js";
import { CreateLookupIndexContext } from "./Cypher5CmdParser.js";
import { LookupIndexNodePatternContext } from "./Cypher5CmdParser.js";
import { LookupIndexRelPatternContext } from "./Cypher5CmdParser.js";
import { DropIndexContext } from "./Cypher5CmdParser.js";
import { PropertyListContext } from "./Cypher5CmdParser.js";
import { EnclosedPropertyListContext } from "./Cypher5CmdParser.js";
import { AlterCommandContext } from "./Cypher5CmdParser.js";
import { RenameCommandContext } from "./Cypher5CmdParser.js";
import { GrantCommandContext } from "./Cypher5CmdParser.js";
import { DenyCommandContext } from "./Cypher5CmdParser.js";
import { RevokeCommandContext } from "./Cypher5CmdParser.js";
import { UserNamesContext } from "./Cypher5CmdParser.js";
import { RoleNamesContext } from "./Cypher5CmdParser.js";
import { RoleTokenContext } from "./Cypher5CmdParser.js";
import { EnableServerCommandContext } from "./Cypher5CmdParser.js";
import { AlterServerContext } from "./Cypher5CmdParser.js";
import { RenameServerContext } from "./Cypher5CmdParser.js";
import { DropServerContext } from "./Cypher5CmdParser.js";
import { ShowServersContext } from "./Cypher5CmdParser.js";
import { AllocationCommandContext } from "./Cypher5CmdParser.js";
import { DeallocateDatabaseFromServersContext } from "./Cypher5CmdParser.js";
import { ReallocateDatabasesContext } from "./Cypher5CmdParser.js";
import { CreateRoleContext } from "./Cypher5CmdParser.js";
import { DropRoleContext } from "./Cypher5CmdParser.js";
import { RenameRoleContext } from "./Cypher5CmdParser.js";
import { ShowRolesContext } from "./Cypher5CmdParser.js";
import { GrantRoleContext } from "./Cypher5CmdParser.js";
import { RevokeRoleContext } from "./Cypher5CmdParser.js";
import { CreateUserContext } from "./Cypher5CmdParser.js";
import { DropUserContext } from "./Cypher5CmdParser.js";
import { RenameUserContext } from "./Cypher5CmdParser.js";
import { AlterCurrentUserContext } from "./Cypher5CmdParser.js";
import { AlterUserContext } from "./Cypher5CmdParser.js";
import { RemoveNamedProviderContext } from "./Cypher5CmdParser.js";
import { PasswordContext } from "./Cypher5CmdParser.js";
import { PasswordOnlyContext } from "./Cypher5CmdParser.js";
import { PasswordExpressionContext } from "./Cypher5CmdParser.js";
import { PasswordChangeRequiredContext } from "./Cypher5CmdParser.js";
import { UserStatusContext } from "./Cypher5CmdParser.js";
import { HomeDatabaseContext } from "./Cypher5CmdParser.js";
import { SetAuthClauseContext } from "./Cypher5CmdParser.js";
import { UserAuthAttributeContext } from "./Cypher5CmdParser.js";
import { ShowUsersContext } from "./Cypher5CmdParser.js";
import { ShowCurrentUserContext } from "./Cypher5CmdParser.js";
import { ShowSupportedPrivilegesContext } from "./Cypher5CmdParser.js";
import { ShowPrivilegesContext } from "./Cypher5CmdParser.js";
import { ShowRolePrivilegesContext } from "./Cypher5CmdParser.js";
import { ShowUserPrivilegesContext } from "./Cypher5CmdParser.js";
import { PrivilegeAsCommandContext } from "./Cypher5CmdParser.js";
import { PrivilegeTokenContext } from "./Cypher5CmdParser.js";
import { PrivilegeContext } from "./Cypher5CmdParser.js";
import { AllPrivilegeContext } from "./Cypher5CmdParser.js";
import { AllPrivilegeTypeContext } from "./Cypher5CmdParser.js";
import { DefaultTargetContext } from "./Cypher5CmdParser.js";
import { DatabaseVariableTargetContext } from "./Cypher5CmdParser.js";
import { GraphVariableTargetContext } from "./Cypher5CmdParser.js";
import { DBMSTargetContext } from "./Cypher5CmdParser.js";
import { CreatePrivilegeContext } from "./Cypher5CmdParser.js";
import { CreatePrivilegeForDatabaseContext } from "./Cypher5CmdParser.js";
import { CreateNodePrivilegeTokenContext } from "./Cypher5CmdParser.js";
import { CreateRelPrivilegeTokenContext } from "./Cypher5CmdParser.js";
import { CreatePropertyPrivilegeTokenContext } from "./Cypher5CmdParser.js";
import { ActionForDBMSContext } from "./Cypher5CmdParser.js";
import { DropPrivilegeContext } from "./Cypher5CmdParser.js";
import { LoadPrivilegeContext } from "./Cypher5CmdParser.js";
import { ShowPrivilegeContext } from "./Cypher5CmdParser.js";
import { SetPrivilegeContext } from "./Cypher5CmdParser.js";
import { PasswordTokenContext } from "./Cypher5CmdParser.js";
import { RemovePrivilegeContext } from "./Cypher5CmdParser.js";
import { WritePrivilegeContext } from "./Cypher5CmdParser.js";
import { DatabasePrivilegeContext } from "./Cypher5CmdParser.js";
import { DbmsPrivilegeContext } from "./Cypher5CmdParser.js";
import { DbmsPrivilegeExecuteContext } from "./Cypher5CmdParser.js";
import { AdminTokenContext } from "./Cypher5CmdParser.js";
import { ProcedureTokenContext } from "./Cypher5CmdParser.js";
import { IndexTokenContext } from "./Cypher5CmdParser.js";
import { ConstraintTokenContext } from "./Cypher5CmdParser.js";
import { TransactionTokenContext } from "./Cypher5CmdParser.js";
import { UserQualifierContext } from "./Cypher5CmdParser.js";
import { ExecuteFunctionQualifierContext } from "./Cypher5CmdParser.js";
import { ExecuteProcedureQualifierContext } from "./Cypher5CmdParser.js";
import { SettingQualifierContext } from "./Cypher5CmdParser.js";
import { GlobsContext } from "./Cypher5CmdParser.js";
import { GlobContext } from "./Cypher5CmdParser.js";
import { GlobRecursiveContext } from "./Cypher5CmdParser.js";
import { GlobPartContext } from "./Cypher5CmdParser.js";
import { QualifiedGraphPrivilegesWithPropertyContext } from "./Cypher5CmdParser.js";
import { QualifiedGraphPrivilegesContext } from "./Cypher5CmdParser.js";
import { LabelsResourceContext } from "./Cypher5CmdParser.js";
import { PropertiesResourceContext } from "./Cypher5CmdParser.js";
import { NonEmptyStringListContext } from "./Cypher5CmdParser.js";
import { GraphQualifierContext } from "./Cypher5CmdParser.js";
import { GraphQualifierTokenContext } from "./Cypher5CmdParser.js";
import { RelTokenContext } from "./Cypher5CmdParser.js";
import { ElementTokenContext } from "./Cypher5CmdParser.js";
import { NodeTokenContext } from "./Cypher5CmdParser.js";
import { DatabaseScopeContext } from "./Cypher5CmdParser.js";
import { GraphScopeContext } from "./Cypher5CmdParser.js";
import { CreateCompositeDatabaseContext } from "./Cypher5CmdParser.js";
import { CreateDatabaseContext } from "./Cypher5CmdParser.js";
import { PrimaryTopologyContext } from "./Cypher5CmdParser.js";
import { PrimaryTokenContext } from "./Cypher5CmdParser.js";
import { SecondaryTopologyContext } from "./Cypher5CmdParser.js";
import { SecondaryTokenContext } from "./Cypher5CmdParser.js";
import { DropDatabaseContext } from "./Cypher5CmdParser.js";
import { AliasActionContext } from "./Cypher5CmdParser.js";
import { AlterDatabaseContext } from "./Cypher5CmdParser.js";
import { AlterDatabaseAccessContext } from "./Cypher5CmdParser.js";
import { AlterDatabaseTopologyContext } from "./Cypher5CmdParser.js";
import { AlterDatabaseOptionContext } from "./Cypher5CmdParser.js";
import { StartDatabaseContext } from "./Cypher5CmdParser.js";
import { StopDatabaseContext } from "./Cypher5CmdParser.js";
import { WaitClauseContext } from "./Cypher5CmdParser.js";
import { SecondsTokenContext } from "./Cypher5CmdParser.js";
import { ShowDatabaseContext } from "./Cypher5CmdParser.js";
import { AliasNameContext } from "./Cypher5CmdParser.js";
import { DatabaseNameContext } from "./Cypher5CmdParser.js";
import { CreateAliasContext } from "./Cypher5CmdParser.js";
import { DropAliasContext } from "./Cypher5CmdParser.js";
import { AlterAliasContext } from "./Cypher5CmdParser.js";
import { AlterAliasTargetContext } from "./Cypher5CmdParser.js";
import { AlterAliasUserContext } from "./Cypher5CmdParser.js";
import { AlterAliasPasswordContext } from "./Cypher5CmdParser.js";
import { AlterAliasDriverContext } from "./Cypher5CmdParser.js";
import { AlterAliasPropertiesContext } from "./Cypher5CmdParser.js";
import { ShowAliasesContext } from "./Cypher5CmdParser.js";
import { SymbolicNameOrStringParameterContext } from "./Cypher5CmdParser.js";
import { CommandNameExpressionContext } from "./Cypher5CmdParser.js";
import { SymbolicNameOrStringParameterListContext } from "./Cypher5CmdParser.js";
import { SymbolicAliasNameListContext } from "./Cypher5CmdParser.js";
import { SymbolicAliasNameOrParameterContext } from "./Cypher5CmdParser.js";
import { SymbolicAliasNameContext } from "./Cypher5CmdParser.js";
import { StringListLiteralContext } from "./Cypher5CmdParser.js";
import { StringListContext } from "./Cypher5CmdParser.js";
import { StringLiteralContext } from "./Cypher5CmdParser.js";
import { StringOrParameterExpressionContext } from "./Cypher5CmdParser.js";
import { StringOrParameterContext } from "./Cypher5CmdParser.js";
import { MapOrParameterContext } from "./Cypher5CmdParser.js";
import { MapContext } from "./Cypher5CmdParser.js";
import { SymbolicNameStringContext } from "./Cypher5CmdParser.js";
import { EscapedSymbolicNameStringContext } from "./Cypher5CmdParser.js";
import { UnescapedSymbolicNameStringContext } from "./Cypher5CmdParser.js";
import { SymbolicLabelNameStringContext } from "./Cypher5CmdParser.js";
import { UnescapedLabelSymbolicNameStringContext } from "./Cypher5CmdParser.js";
import { UnescapedLabelSymbolicNameString_Context } from "./Cypher5CmdParser.js";
import { EndOfFileContext } from "./Cypher5CmdParser.js";
/**
 * This interface defines a complete generic visitor for a parse tree produced
 * by `Cypher5CmdParser`.
 *
 * @param <Result> The return type of the visit operation. Use `void` for
 * operations with no return type.
 */
export default class Cypher5CmdParserVisitor<Result> extends ParseTreeVisitor<Result> {
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.statementOrCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatementOrCommand?: (ctx: StatementOrCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.preparsedStatement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPreparsedStatement?: (ctx: PreparsedStatementContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.cypherVersion`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCypherVersion?: (ctx: CypherVersionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.preparserOption`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPreparserOption?: (ctx: PreparserOptionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.consoleCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConsoleCommand?: (ctx: ConsoleCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.paramsCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParamsCmd?: (ctx: ParamsCmdContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.paramsArgs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParamsArgs?: (ctx: ParamsArgsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.lambda`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLambda?: (ctx: LambdaContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.clearCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitClearCmd?: (ctx: ClearCmdContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.historyCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHistoryCmd?: (ctx: HistoryCmdContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.useCmd`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseCmd?: (ctx: UseCmdContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.listCompletionRule`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListCompletionRule?: (ctx: ListCompletionRuleContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.useCompletionRule`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseCompletionRule?: (ctx: UseCompletionRuleContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.externalKeywords`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExternalKeywords?: (ctx: ExternalKeywordsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.statements`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatements?: (ctx: StatementsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.statement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStatement?: (ctx: StatementContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.periodicCommitQueryHintFailure`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPeriodicCommitQueryHintFailure?: (ctx: PeriodicCommitQueryHintFailureContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.regularQuery`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRegularQuery?: (ctx: RegularQueryContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.singleQuery`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSingleQuery?: (ctx: SingleQueryContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.clause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitClause?: (ctx: ClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.useClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUseClause?: (ctx: UseClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.graphReference`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphReference?: (ctx: GraphReferenceContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.finishClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFinishClause?: (ctx: FinishClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.returnClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnClause?: (ctx: ReturnClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.returnBody`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnBody?: (ctx: ReturnBodyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.returnItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnItem?: (ctx: ReturnItemContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.returnItems`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReturnItems?: (ctx: ReturnItemsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.orderItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOrderItem?: (ctx: OrderItemContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.ascToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAscToken?: (ctx: AscTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.descToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDescToken?: (ctx: DescTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.orderBy`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOrderBy?: (ctx: OrderByContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.skip`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSkip?: (ctx: SkipContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.limit`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLimit?: (ctx: LimitContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.whereClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhereClause?: (ctx: WhereClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.withClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWithClause?: (ctx: WithClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateClause?: (ctx: CreateClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.insertClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertClause?: (ctx: InsertClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.setClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetClause?: (ctx: SetClauseContext) => Result;
    /**
     * Visit a parse tree produced by the `SetProp`
     * labeled alternative in `Cypher5CmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetProp?: (ctx: SetPropContext) => Result;
    /**
     * Visit a parse tree produced by the `SetDynamicProp`
     * labeled alternative in `Cypher5CmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetDynamicProp?: (ctx: SetDynamicPropContext) => Result;
    /**
     * Visit a parse tree produced by the `SetProps`
     * labeled alternative in `Cypher5CmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetProps?: (ctx: SetPropsContext) => Result;
    /**
     * Visit a parse tree produced by the `AddProp`
     * labeled alternative in `Cypher5CmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAddProp?: (ctx: AddPropContext) => Result;
    /**
     * Visit a parse tree produced by the `SetLabels`
     * labeled alternative in `Cypher5CmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetLabels?: (ctx: SetLabelsContext) => Result;
    /**
     * Visit a parse tree produced by the `SetLabelsIs`
     * labeled alternative in `Cypher5CmdParser.setItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetLabelsIs?: (ctx: SetLabelsIsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.removeClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveClause?: (ctx: RemoveClauseContext) => Result;
    /**
     * Visit a parse tree produced by the `RemoveProp`
     * labeled alternative in `Cypher5CmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveProp?: (ctx: RemovePropContext) => Result;
    /**
     * Visit a parse tree produced by the `RemoveDynamicProp`
     * labeled alternative in `Cypher5CmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveDynamicProp?: (ctx: RemoveDynamicPropContext) => Result;
    /**
     * Visit a parse tree produced by the `RemoveLabels`
     * labeled alternative in `Cypher5CmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveLabels?: (ctx: RemoveLabelsContext) => Result;
    /**
     * Visit a parse tree produced by the `RemoveLabelsIs`
     * labeled alternative in `Cypher5CmdParser.removeItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveLabelsIs?: (ctx: RemoveLabelsIsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.deleteClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeleteClause?: (ctx: DeleteClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.matchClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMatchClause?: (ctx: MatchClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.matchMode`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMatchMode?: (ctx: MatchModeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.hint`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHint?: (ctx: HintContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.mergeClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMergeClause?: (ctx: MergeClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.mergeAction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMergeAction?: (ctx: MergeActionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.unwindClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnwindClause?: (ctx: UnwindClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.callClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCallClause?: (ctx: CallClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.procedureName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureName?: (ctx: ProcedureNameContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.procedureArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureArgument?: (ctx: ProcedureArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.procedureResultItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureResultItem?: (ctx: ProcedureResultItemContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.loadCSVClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLoadCSVClause?: (ctx: LoadCSVClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.foreachClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitForeachClause?: (ctx: ForeachClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.subqueryClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryClause?: (ctx: SubqueryClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.subqueryScope`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryScope?: (ctx: SubqueryScopeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.subqueryInTransactionsParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsParameters?: (ctx: SubqueryInTransactionsParametersContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.subqueryInTransactionsBatchParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsBatchParameters?: (ctx: SubqueryInTransactionsBatchParametersContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.subqueryInTransactionsErrorParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsErrorParameters?: (ctx: SubqueryInTransactionsErrorParametersContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.subqueryInTransactionsReportParameters`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSubqueryInTransactionsReportParameters?: (ctx: SubqueryInTransactionsReportParametersContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.orderBySkipLimitClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOrderBySkipLimitClause?: (ctx: OrderBySkipLimitClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.patternList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternList?: (ctx: PatternListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.insertPatternList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertPatternList?: (ctx: InsertPatternListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.pattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPattern?: (ctx: PatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.insertPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertPattern?: (ctx: InsertPatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.quantifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQuantifier?: (ctx: QuantifierContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.anonymousPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnonymousPattern?: (ctx: AnonymousPatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.shortestPathPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShortestPathPattern?: (ctx: ShortestPathPatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.patternElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternElement?: (ctx: PatternElementContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyShortestPath`
     * labeled alternative in `Cypher5CmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyShortestPath?: (ctx: AnyShortestPathContext) => Result;
    /**
     * Visit a parse tree produced by the `AllShortestPath`
     * labeled alternative in `Cypher5CmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllShortestPath?: (ctx: AllShortestPathContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyPath`
     * labeled alternative in `Cypher5CmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyPath?: (ctx: AnyPathContext) => Result;
    /**
     * Visit a parse tree produced by the `AllPath`
     * labeled alternative in `Cypher5CmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPath?: (ctx: AllPathContext) => Result;
    /**
     * Visit a parse tree produced by the `ShortestGroup`
     * labeled alternative in `Cypher5CmdParser.selector`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShortestGroup?: (ctx: ShortestGroupContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.groupToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGroupToken?: (ctx: GroupTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.pathToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathToken?: (ctx: PathTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.pathPatternNonEmpty`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathPatternNonEmpty?: (ctx: PathPatternNonEmptyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.nodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodePattern?: (ctx: NodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.insertNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertNodePattern?: (ctx: InsertNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.parenthesizedPath`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedPath?: (ctx: ParenthesizedPathContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.nodeLabels`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodeLabels?: (ctx: NodeLabelsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.nodeLabelsIs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodeLabelsIs?: (ctx: NodeLabelsIsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dynamicExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicExpression?: (ctx: DynamicExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dynamicLabelType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicLabelType?: (ctx: DynamicLabelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelType?: (ctx: LabelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.relType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRelType?: (ctx: RelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelOrRelType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelOrRelType?: (ctx: LabelOrRelTypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.properties`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProperties?: (ctx: PropertiesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.relationshipPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRelationshipPattern?: (ctx: RelationshipPatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.insertRelationshipPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertRelationshipPattern?: (ctx: InsertRelationshipPatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.leftArrow`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLeftArrow?: (ctx: LeftArrowContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.arrowLine`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitArrowLine?: (ctx: ArrowLineContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.rightArrow`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRightArrow?: (ctx: RightArrowContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.pathLength`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPathLength?: (ctx: PathLengthContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression?: (ctx: LabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelExpression4`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression4?: (ctx: LabelExpression4Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelExpression4Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression4Is?: (ctx: LabelExpression4IsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelExpression3`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression3?: (ctx: LabelExpression3Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelExpression3Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression3Is?: (ctx: LabelExpression3IsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelExpression2`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression2?: (ctx: LabelExpression2Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelExpression2Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelExpression2Is?: (ctx: LabelExpression2IsContext) => Result;
    /**
     * Visit a parse tree produced by the `ParenthesizedLabelExpression`
     * labeled alternative in `Cypher5CmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedLabelExpression?: (ctx: ParenthesizedLabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyLabel`
     * labeled alternative in `Cypher5CmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyLabel?: (ctx: AnyLabelContext) => Result;
    /**
     * Visit a parse tree produced by the `LabelName`
     * labeled alternative in `Cypher5CmdParser.labelExpression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelName?: (ctx: LabelNameContext) => Result;
    /**
     * Visit a parse tree produced by the `ParenthesizedLabelExpressionIs`
     * labeled alternative in `Cypher5CmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedLabelExpressionIs?: (ctx: ParenthesizedLabelExpressionIsContext) => Result;
    /**
     * Visit a parse tree produced by the `AnyLabelIs`
     * labeled alternative in `Cypher5CmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAnyLabelIs?: (ctx: AnyLabelIsContext) => Result;
    /**
     * Visit a parse tree produced by the `LabelNameIs`
     * labeled alternative in `Cypher5CmdParser.labelExpression1Is`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelNameIs?: (ctx: LabelNameIsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.insertNodeLabelExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertNodeLabelExpression?: (ctx: InsertNodeLabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.insertRelationshipLabelExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitInsertRelationshipLabelExpression?: (ctx: InsertRelationshipLabelExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression?: (ctx: ExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression11`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression11?: (ctx: Expression11Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression10`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression10?: (ctx: Expression10Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression9`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression9?: (ctx: Expression9Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression8`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression8?: (ctx: Expression8Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression7`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression7?: (ctx: Expression7Context) => Result;
    /**
     * Visit a parse tree produced by the `StringAndListComparison`
     * labeled alternative in `Cypher5CmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringAndListComparison?: (ctx: StringAndListComparisonContext) => Result;
    /**
     * Visit a parse tree produced by the `NullComparison`
     * labeled alternative in `Cypher5CmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNullComparison?: (ctx: NullComparisonContext) => Result;
    /**
     * Visit a parse tree produced by the `TypeComparison`
     * labeled alternative in `Cypher5CmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeComparison?: (ctx: TypeComparisonContext) => Result;
    /**
     * Visit a parse tree produced by the `NormalFormComparison`
     * labeled alternative in `Cypher5CmdParser.comparisonExpression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNormalFormComparison?: (ctx: NormalFormComparisonContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.normalForm`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNormalForm?: (ctx: NormalFormContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression6`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression6?: (ctx: Expression6Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression5`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression5?: (ctx: Expression5Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression4`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression4?: (ctx: Expression4Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression3`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression3?: (ctx: Expression3Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression2`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression2?: (ctx: Expression2Context) => Result;
    /**
     * Visit a parse tree produced by the `PropertyPostfix`
     * labeled alternative in `Cypher5CmdParser.postFix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyPostfix?: (ctx: PropertyPostfixContext) => Result;
    /**
     * Visit a parse tree produced by the `LabelPostfix`
     * labeled alternative in `Cypher5CmdParser.postFix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelPostfix?: (ctx: LabelPostfixContext) => Result;
    /**
     * Visit a parse tree produced by the `IndexPostfix`
     * labeled alternative in `Cypher5CmdParser.postFix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIndexPostfix?: (ctx: IndexPostfixContext) => Result;
    /**
     * Visit a parse tree produced by the `RangePostfix`
     * labeled alternative in `Cypher5CmdParser.postFix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRangePostfix?: (ctx: RangePostfixContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.property`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProperty?: (ctx: PropertyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dynamicProperty`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicProperty?: (ctx: DynamicPropertyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.propertyExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyExpression?: (ctx: PropertyExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dynamicPropertyExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDynamicPropertyExpression?: (ctx: DynamicPropertyExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.expression1`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExpression1?: (ctx: Expression1Context) => Result;
    /**
     * Visit a parse tree produced by the `NummericLiteral`
     * labeled alternative in `Cypher5CmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNummericLiteral?: (ctx: NummericLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `StringsLiteral`
     * labeled alternative in `Cypher5CmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringsLiteral?: (ctx: StringsLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `OtherLiteral`
     * labeled alternative in `Cypher5CmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOtherLiteral?: (ctx: OtherLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `BooleanLiteral`
     * labeled alternative in `Cypher5CmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitBooleanLiteral?: (ctx: BooleanLiteralContext) => Result;
    /**
     * Visit a parse tree produced by the `KeywordLiteral`
     * labeled alternative in `Cypher5CmdParser.literal`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitKeywordLiteral?: (ctx: KeywordLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.caseExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCaseExpression?: (ctx: CaseExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.caseAlternative`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCaseAlternative?: (ctx: CaseAlternativeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.extendedCaseExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExtendedCaseExpression?: (ctx: ExtendedCaseExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.extendedCaseAlternative`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExtendedCaseAlternative?: (ctx: ExtendedCaseAlternativeContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenStringOrList`
     * labeled alternative in `Cypher5CmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenStringOrList?: (ctx: WhenStringOrListContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenNull`
     * labeled alternative in `Cypher5CmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenNull?: (ctx: WhenNullContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenType`
     * labeled alternative in `Cypher5CmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenType?: (ctx: WhenTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenForm`
     * labeled alternative in `Cypher5CmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenForm?: (ctx: WhenFormContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenComparator`
     * labeled alternative in `Cypher5CmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenComparator?: (ctx: WhenComparatorContext) => Result;
    /**
     * Visit a parse tree produced by the `WhenEquals`
     * labeled alternative in `Cypher5CmdParser.extendedWhen`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWhenEquals?: (ctx: WhenEqualsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.listComprehension`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListComprehension?: (ctx: ListComprehensionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.patternComprehension`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternComprehension?: (ctx: PatternComprehensionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.reduceExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReduceExpression?: (ctx: ReduceExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.listItemsPredicate`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListItemsPredicate?: (ctx: ListItemsPredicateContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.normalizeFunction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNormalizeFunction?: (ctx: NormalizeFunctionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.trimFunction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTrimFunction?: (ctx: TrimFunctionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.patternExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPatternExpression?: (ctx: PatternExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.shortestPathExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShortestPathExpression?: (ctx: ShortestPathExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.parenthesizedExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParenthesizedExpression?: (ctx: ParenthesizedExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.mapProjection`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapProjection?: (ctx: MapProjectionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.mapProjectionElement`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapProjectionElement?: (ctx: MapProjectionElementContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.countStar`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCountStar?: (ctx: CountStarContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.existsExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExistsExpression?: (ctx: ExistsExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.countExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCountExpression?: (ctx: CountExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.collectExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCollectExpression?: (ctx: CollectExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.numberLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNumberLiteral?: (ctx: NumberLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.signedIntegerLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSignedIntegerLiteral?: (ctx: SignedIntegerLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.listLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitListLiteral?: (ctx: ListLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.propertyKeyName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyKeyName?: (ctx: PropertyKeyNameContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.parameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParameter?: (ctx: ParameterContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.parameterName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitParameterName?: (ctx: ParameterNameContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.functionInvocation`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionInvocation?: (ctx: FunctionInvocationContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.functionArgument`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionArgument?: (ctx: FunctionArgumentContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.functionName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionName?: (ctx: FunctionNameContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.namespace`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNamespace?: (ctx: NamespaceContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.variable`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitVariable?: (ctx: VariableContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.nonEmptyNameList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNonEmptyNameList?: (ctx: NonEmptyNameListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.type`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitType?: (ctx: TypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.typePart`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypePart?: (ctx: TypePartContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.typeName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeName?: (ctx: TypeNameContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.typeNullability`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeNullability?: (ctx: TypeNullabilityContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.typeListSuffix`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTypeListSuffix?: (ctx: TypeListSuffixContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.command`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommand?: (ctx: CommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateCommand?: (ctx: CreateCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropCommand?: (ctx: DropCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCommand?: (ctx: ShowCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showCommandYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCommandYield?: (ctx: ShowCommandYieldContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.yieldItem`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldItem?: (ctx: YieldItemContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.yieldSkip`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldSkip?: (ctx: YieldSkipContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.yieldLimit`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldLimit?: (ctx: YieldLimitContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.yieldClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitYieldClause?: (ctx: YieldClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.commandOptions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandOptions?: (ctx: CommandOptionsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.terminateCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTerminateCommand?: (ctx: TerminateCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.composableCommandClauses`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitComposableCommandClauses?: (ctx: ComposableCommandClausesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.composableShowCommandClauses`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitComposableShowCommandClauses?: (ctx: ComposableShowCommandClausesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showBriefAndYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowBriefAndYield?: (ctx: ShowBriefAndYieldContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showIndexCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowIndexCommand?: (ctx: ShowIndexCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showIndexesAllowBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowIndexesAllowBrief?: (ctx: ShowIndexesAllowBriefContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showIndexesNoBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowIndexesNoBrief?: (ctx: ShowIndexesNoBriefContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintMulti`
     * labeled alternative in `Cypher5CmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintMulti?: (ctx: ShowConstraintMultiContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintUnique`
     * labeled alternative in `Cypher5CmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintUnique?: (ctx: ShowConstraintUniqueContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintKey`
     * labeled alternative in `Cypher5CmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintKey?: (ctx: ShowConstraintKeyContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintRelExist`
     * labeled alternative in `Cypher5CmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintRelExist?: (ctx: ShowConstraintRelExistContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintOldExists`
     * labeled alternative in `Cypher5CmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintOldExists?: (ctx: ShowConstraintOldExistsContext) => Result;
    /**
     * Visit a parse tree produced by the `ShowConstraintBriefAndYield`
     * labeled alternative in `Cypher5CmdParser.showConstraintCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintBriefAndYield?: (ctx: ShowConstraintBriefAndYieldContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.constraintAllowYieldType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintAllowYieldType?: (ctx: ConstraintAllowYieldTypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.constraintExistType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintExistType?: (ctx: ConstraintExistTypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.constraintBriefAndYieldType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintBriefAndYieldType?: (ctx: ConstraintBriefAndYieldTypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showConstraintsAllowBriefAndYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowBriefAndYield?: (ctx: ShowConstraintsAllowBriefAndYieldContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showConstraintsAllowBrief`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowBrief?: (ctx: ShowConstraintsAllowBriefContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showConstraintsAllowYield`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowConstraintsAllowYield?: (ctx: ShowConstraintsAllowYieldContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showProcedures`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowProcedures?: (ctx: ShowProceduresContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showFunctions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowFunctions?: (ctx: ShowFunctionsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.functionToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFunctionToken?: (ctx: FunctionTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.executableBy`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecutableBy?: (ctx: ExecutableByContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showFunctionsType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowFunctionsType?: (ctx: ShowFunctionsTypeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showTransactions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowTransactions?: (ctx: ShowTransactionsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.terminateTransactions`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTerminateTransactions?: (ctx: TerminateTransactionsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showSettings`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowSettings?: (ctx: ShowSettingsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.settingToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSettingToken?: (ctx: SettingTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.namesAndClauses`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNamesAndClauses?: (ctx: NamesAndClausesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.stringsOrExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringsOrExpression?: (ctx: StringsOrExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.commandNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandNodePattern?: (ctx: CommandNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.commandRelPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandRelPattern?: (ctx: CommandRelPatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createConstraint`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateConstraint?: (ctx: CreateConstraintContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintExists`
     * labeled alternative in `Cypher5CmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintExists?: (ctx: ConstraintExistsContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintTyped`
     * labeled alternative in `Cypher5CmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintTyped?: (ctx: ConstraintTypedContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintIsUnique`
     * labeled alternative in `Cypher5CmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintIsUnique?: (ctx: ConstraintIsUniqueContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintKey`
     * labeled alternative in `Cypher5CmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintKey?: (ctx: ConstraintKeyContext) => Result;
    /**
     * Visit a parse tree produced by the `ConstraintIsNotNull`
     * labeled alternative in `Cypher5CmdParser.constraintType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintIsNotNull?: (ctx: ConstraintIsNotNullContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropConstraint`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropConstraint?: (ctx: DropConstraintContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateIndex?: (ctx: CreateIndexContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.oldCreateIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitOldCreateIndex?: (ctx: OldCreateIndexContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createIndex_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateIndex_?: (ctx: CreateIndex_Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createFulltextIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateFulltextIndex?: (ctx: CreateFulltextIndexContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.fulltextNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFulltextNodePattern?: (ctx: FulltextNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.fulltextRelPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitFulltextRelPattern?: (ctx: FulltextRelPatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createLookupIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateLookupIndex?: (ctx: CreateLookupIndexContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.lookupIndexNodePattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLookupIndexNodePattern?: (ctx: LookupIndexNodePatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.lookupIndexRelPattern`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLookupIndexRelPattern?: (ctx: LookupIndexRelPatternContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropIndex`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropIndex?: (ctx: DropIndexContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.propertyList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertyList?: (ctx: PropertyListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.enclosedPropertyList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEnclosedPropertyList?: (ctx: EnclosedPropertyListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterCommand?: (ctx: AlterCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.renameCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameCommand?: (ctx: RenameCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.grantCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantCommand?: (ctx: GrantCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.denyCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDenyCommand?: (ctx: DenyCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.revokeCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokeCommand?: (ctx: RevokeCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.userNames`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserNames?: (ctx: UserNamesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.roleNames`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRoleNames?: (ctx: RoleNamesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.roleToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRoleToken?: (ctx: RoleTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.enableServerCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEnableServerCommand?: (ctx: EnableServerCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterServer?: (ctx: AlterServerContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.renameServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameServer?: (ctx: RenameServerContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropServer`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropServer?: (ctx: DropServerContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showServers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowServers?: (ctx: ShowServersContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.allocationCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllocationCommand?: (ctx: AllocationCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.deallocateDatabaseFromServers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDeallocateDatabaseFromServers?: (ctx: DeallocateDatabaseFromServersContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.reallocateDatabases`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitReallocateDatabases?: (ctx: ReallocateDatabasesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateRole?: (ctx: CreateRoleContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropRole?: (ctx: DropRoleContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.renameRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameRole?: (ctx: RenameRoleContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showRoles`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRoles?: (ctx: ShowRolesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.grantRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGrantRole?: (ctx: GrantRoleContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.revokeRole`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRevokeRole?: (ctx: RevokeRoleContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateUser?: (ctx: CreateUserContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropUser?: (ctx: DropUserContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.renameUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRenameUser?: (ctx: RenameUserContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterCurrentUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterCurrentUser?: (ctx: AlterCurrentUserContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterUser?: (ctx: AlterUserContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.removeNamedProvider`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemoveNamedProvider?: (ctx: RemoveNamedProviderContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.password`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPassword?: (ctx: PasswordContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.passwordOnly`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordOnly?: (ctx: PasswordOnlyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.passwordExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordExpression?: (ctx: PasswordExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.passwordChangeRequired`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordChangeRequired?: (ctx: PasswordChangeRequiredContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.userStatus`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserStatus?: (ctx: UserStatusContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.homeDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitHomeDatabase?: (ctx: HomeDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.setAuthClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetAuthClause?: (ctx: SetAuthClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.userAuthAttribute`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserAuthAttribute?: (ctx: UserAuthAttributeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showUsers`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowUsers?: (ctx: ShowUsersContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showCurrentUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowCurrentUser?: (ctx: ShowCurrentUserContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showSupportedPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowSupportedPrivileges?: (ctx: ShowSupportedPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowPrivileges?: (ctx: ShowPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showRolePrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowRolePrivileges?: (ctx: ShowRolePrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showUserPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowUserPrivileges?: (ctx: ShowUserPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.privilegeAsCommand`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrivilegeAsCommand?: (ctx: PrivilegeAsCommandContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.privilegeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrivilegeToken?: (ctx: PrivilegeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.privilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrivilege?: (ctx: PrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.allPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPrivilege?: (ctx: AllPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.allPrivilegeType`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAllPrivilegeType?: (ctx: AllPrivilegeTypeContext) => Result;
    /**
     * Visit a parse tree produced by the `DefaultTarget`
     * labeled alternative in `Cypher5CmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDefaultTarget?: (ctx: DefaultTargetContext) => Result;
    /**
     * Visit a parse tree produced by the `DatabaseVariableTarget`
     * labeled alternative in `Cypher5CmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabaseVariableTarget?: (ctx: DatabaseVariableTargetContext) => Result;
    /**
     * Visit a parse tree produced by the `GraphVariableTarget`
     * labeled alternative in `Cypher5CmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphVariableTarget?: (ctx: GraphVariableTargetContext) => Result;
    /**
     * Visit a parse tree produced by the `DBMSTarget`
     * labeled alternative in `Cypher5CmdParser.allPrivilegeTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDBMSTarget?: (ctx: DBMSTargetContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreatePrivilege?: (ctx: CreatePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createPrivilegeForDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreatePrivilegeForDatabase?: (ctx: CreatePrivilegeForDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createNodePrivilegeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateNodePrivilegeToken?: (ctx: CreateNodePrivilegeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createRelPrivilegeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateRelPrivilegeToken?: (ctx: CreateRelPrivilegeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createPropertyPrivilegeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreatePropertyPrivilegeToken?: (ctx: CreatePropertyPrivilegeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.actionForDBMS`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitActionForDBMS?: (ctx: ActionForDBMSContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropPrivilege?: (ctx: DropPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.loadPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLoadPrivilege?: (ctx: LoadPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowPrivilege?: (ctx: ShowPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.setPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSetPrivilege?: (ctx: SetPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.passwordToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPasswordToken?: (ctx: PasswordTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.removePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRemovePrivilege?: (ctx: RemovePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.writePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWritePrivilege?: (ctx: WritePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.databasePrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabasePrivilege?: (ctx: DatabasePrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dbmsPrivilege`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDbmsPrivilege?: (ctx: DbmsPrivilegeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dbmsPrivilegeExecute`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDbmsPrivilegeExecute?: (ctx: DbmsPrivilegeExecuteContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.adminToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAdminToken?: (ctx: AdminTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.procedureToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitProcedureToken?: (ctx: ProcedureTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.indexToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitIndexToken?: (ctx: IndexTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.constraintToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitConstraintToken?: (ctx: ConstraintTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.transactionToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitTransactionToken?: (ctx: TransactionTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.userQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUserQualifier?: (ctx: UserQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.executeFunctionQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecuteFunctionQualifier?: (ctx: ExecuteFunctionQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.executeProcedureQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitExecuteProcedureQualifier?: (ctx: ExecuteProcedureQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.settingQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSettingQualifier?: (ctx: SettingQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.globs`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobs?: (ctx: GlobsContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.glob`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlob?: (ctx: GlobContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.globRecursive`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobRecursive?: (ctx: GlobRecursiveContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.globPart`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGlobPart?: (ctx: GlobPartContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.qualifiedGraphPrivilegesWithProperty`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQualifiedGraphPrivilegesWithProperty?: (ctx: QualifiedGraphPrivilegesWithPropertyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.qualifiedGraphPrivileges`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitQualifiedGraphPrivileges?: (ctx: QualifiedGraphPrivilegesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.labelsResource`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitLabelsResource?: (ctx: LabelsResourceContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.propertiesResource`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPropertiesResource?: (ctx: PropertiesResourceContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.nonEmptyStringList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNonEmptyStringList?: (ctx: NonEmptyStringListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.graphQualifier`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphQualifier?: (ctx: GraphQualifierContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.graphQualifierToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphQualifierToken?: (ctx: GraphQualifierTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.relToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitRelToken?: (ctx: RelTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.elementToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitElementToken?: (ctx: ElementTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.nodeToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitNodeToken?: (ctx: NodeTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.databaseScope`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabaseScope?: (ctx: DatabaseScopeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.graphScope`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitGraphScope?: (ctx: GraphScopeContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createCompositeDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateCompositeDatabase?: (ctx: CreateCompositeDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateDatabase?: (ctx: CreateDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.primaryTopology`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrimaryTopology?: (ctx: PrimaryTopologyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.primaryToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitPrimaryToken?: (ctx: PrimaryTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.secondaryTopology`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSecondaryTopology?: (ctx: SecondaryTopologyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.secondaryToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSecondaryToken?: (ctx: SecondaryTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropDatabase?: (ctx: DropDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.aliasAction`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAliasAction?: (ctx: AliasActionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabase?: (ctx: AlterDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterDatabaseAccess`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabaseAccess?: (ctx: AlterDatabaseAccessContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterDatabaseTopology`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabaseTopology?: (ctx: AlterDatabaseTopologyContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterDatabaseOption`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterDatabaseOption?: (ctx: AlterDatabaseOptionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.startDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStartDatabase?: (ctx: StartDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.stopDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStopDatabase?: (ctx: StopDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.waitClause`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitWaitClause?: (ctx: WaitClauseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.secondsToken`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSecondsToken?: (ctx: SecondsTokenContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showDatabase`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowDatabase?: (ctx: ShowDatabaseContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.aliasName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAliasName?: (ctx: AliasNameContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.databaseName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDatabaseName?: (ctx: DatabaseNameContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.createAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCreateAlias?: (ctx: CreateAliasContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.dropAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitDropAlias?: (ctx: DropAliasContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterAlias`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAlias?: (ctx: AlterAliasContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterAliasTarget`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasTarget?: (ctx: AlterAliasTargetContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterAliasUser`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasUser?: (ctx: AlterAliasUserContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterAliasPassword`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasPassword?: (ctx: AlterAliasPasswordContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterAliasDriver`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasDriver?: (ctx: AlterAliasDriverContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.alterAliasProperties`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitAlterAliasProperties?: (ctx: AlterAliasPropertiesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.showAliases`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitShowAliases?: (ctx: ShowAliasesContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.symbolicNameOrStringParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameOrStringParameter?: (ctx: SymbolicNameOrStringParameterContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.commandNameExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitCommandNameExpression?: (ctx: CommandNameExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.symbolicNameOrStringParameterList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameOrStringParameterList?: (ctx: SymbolicNameOrStringParameterListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.symbolicAliasNameList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicAliasNameList?: (ctx: SymbolicAliasNameListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.symbolicAliasNameOrParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicAliasNameOrParameter?: (ctx: SymbolicAliasNameOrParameterContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.symbolicAliasName`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicAliasName?: (ctx: SymbolicAliasNameContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.stringListLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringListLiteral?: (ctx: StringListLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.stringList`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringList?: (ctx: StringListContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.stringLiteral`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringLiteral?: (ctx: StringLiteralContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.stringOrParameterExpression`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringOrParameterExpression?: (ctx: StringOrParameterExpressionContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.stringOrParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitStringOrParameter?: (ctx: StringOrParameterContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.mapOrParameter`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMapOrParameter?: (ctx: MapOrParameterContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.map`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitMap?: (ctx: MapContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.symbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicNameString?: (ctx: SymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.escapedSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEscapedSymbolicNameString?: (ctx: EscapedSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.unescapedSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedSymbolicNameString?: (ctx: UnescapedSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.symbolicLabelNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitSymbolicLabelNameString?: (ctx: SymbolicLabelNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.unescapedLabelSymbolicNameString`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedLabelSymbolicNameString?: (ctx: UnescapedLabelSymbolicNameStringContext) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.unescapedLabelSymbolicNameString_`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitUnescapedLabelSymbolicNameString_?: (ctx: UnescapedLabelSymbolicNameString_Context) => Result;
    /**
     * Visit a parse tree produced by `Cypher5CmdParser.endOfFile`.
     * @param ctx the parse tree
     * @return the visitor result
     */
    visitEndOfFile?: (ctx: EndOfFileContext) => Result;
}
