import { ParseTreeListener } from "antlr4";
import { StatementsContext } from "./StatementsParser.js";
import { StatementContext } from "./StatementsParser.js";
import { StringLiteralContext } from "./StatementsParser.js";
import { CommentContext } from "./StatementsParser.js";
import { CypherVersionContext } from "./StatementsParser.js";
/**
 * This interface defines a complete listener for a parse tree produced by
 * `StatementsParser`.
 */
export default class StatementsListener extends ParseTreeListener {
    /**
     * Enter a parse tree produced by `StatementsParser.statements`.
     * @param ctx the parse tree
     */
    enterStatements?: (ctx: StatementsContext) => void;
    /**
     * Exit a parse tree produced by `StatementsParser.statements`.
     * @param ctx the parse tree
     */
    exitStatements?: (ctx: StatementsContext) => void;
    /**
     * Enter a parse tree produced by `StatementsParser.statement`.
     * @param ctx the parse tree
     */
    enterStatement?: (ctx: StatementContext) => void;
    /**
     * Exit a parse tree produced by `StatementsParser.statement`.
     * @param ctx the parse tree
     */
    exitStatement?: (ctx: StatementContext) => void;
    /**
     * Enter a parse tree produced by `StatementsParser.stringLiteral`.
     * @param ctx the parse tree
     */
    enterStringLiteral?: (ctx: StringLiteralContext) => void;
    /**
     * Exit a parse tree produced by `StatementsParser.stringLiteral`.
     * @param ctx the parse tree
     */
    exitStringLiteral?: (ctx: StringLiteralContext) => void;
    /**
     * Enter a parse tree produced by `StatementsParser.comment`.
     * @param ctx the parse tree
     */
    enterComment?: (ctx: CommentContext) => void;
    /**
     * Exit a parse tree produced by `StatementsParser.comment`.
     * @param ctx the parse tree
     */
    exitComment?: (ctx: CommentContext) => void;
    /**
     * Enter a parse tree produced by `StatementsParser.cypherVersion`.
     * @param ctx the parse tree
     */
    enterCypherVersion?: (ctx: CypherVersionContext) => void;
    /**
     * Exit a parse tree produced by `StatementsParser.cypherVersion`.
     * @param ctx the parse tree
     */
    exitCypherVersion?: (ctx: CypherVersionContext) => void;
}
