import { ATN, DFA, FailedPredicateException, Parser, ParserRuleContext, TerminalNode, TokenStream } from 'antlr4';
import StatementsListener from "./StatementsListener.js";
import StatementsVisitor from "./StatementsVisitor.js";
export default class StatementsParser extends Parser {
    static readonly T__0 = 1;
    static readonly T__1 = 2;
    static readonly CYPHER5 = 3;
    static readonly CYPHER25 = 4;
    static readonly SEMICOLON = 5;
    static readonly SPACE = 6;
    static readonly CHAR = 7;
    static readonly SINGLE_LINE_COMMENT = 8;
    static readonly MULTI_LINE_COMMENT = 9;
    static readonly STRING_LITERAL = 10;
    static readonly UNFINISHED_STRING_LITERAL = 11;
    static readonly EOF: number;
    static readonly RULE_statements = 0;
    static readonly RULE_statement = 1;
    static readonly RULE_stringLiteral = 2;
    static readonly RULE_comment = 3;
    static readonly RULE_cypherVersion = 4;
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly ruleNames: string[];
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    protected createFailedPredicateException(predicate?: string, message?: string): FailedPredicateException;
    constructor(input: TokenStream);
    statements(): StatementsContext;
    statement(): StatementContext;
    stringLiteral(): StringLiteralContext;
    comment(): CommentContext;
    cypherVersion(): CypherVersionContext;
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
export declare class StatementsContext extends ParserRuleContext {
    constructor(parser?: StatementsParser, parent?: ParserRuleContext, invokingState?: number);
    statement_list(): StatementContext[];
    statement(i: number): StatementContext;
    EOF(): TerminalNode;
    SEMICOLON_list(): TerminalNode[];
    SEMICOLON(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: StatementsListener): void;
    exitRule(listener: StatementsListener): void;
    accept<Result>(visitor: StatementsVisitor<Result>): Result;
}
export declare class StatementContext extends ParserRuleContext {
    constructor(parser?: StatementsParser, parent?: ParserRuleContext, invokingState?: number);
    cypherVersion_list(): CypherVersionContext[];
    cypherVersion(i: number): CypherVersionContext;
    stringLiteral_list(): StringLiteralContext[];
    stringLiteral(i: number): StringLiteralContext;
    comment_list(): CommentContext[];
    comment(i: number): CommentContext;
    CHAR_list(): TerminalNode[];
    CHAR(i: number): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: StatementsListener): void;
    exitRule(listener: StatementsListener): void;
    accept<Result>(visitor: StatementsVisitor<Result>): Result;
}
export declare class StringLiteralContext extends ParserRuleContext {
    constructor(parser?: StatementsParser, parent?: ParserRuleContext, invokingState?: number);
    STRING_LITERAL(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: StatementsListener): void;
    exitRule(listener: StatementsListener): void;
    accept<Result>(visitor: StatementsVisitor<Result>): Result;
}
export declare class CommentContext extends ParserRuleContext {
    constructor(parser?: StatementsParser, parent?: ParserRuleContext, invokingState?: number);
    SINGLE_LINE_COMMENT(): TerminalNode;
    MULTI_LINE_COMMENT(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: StatementsListener): void;
    exitRule(listener: StatementsListener): void;
    accept<Result>(visitor: StatementsVisitor<Result>): Result;
}
export declare class CypherVersionContext extends ParserRuleContext {
    constructor(parser?: StatementsParser, parent?: ParserRuleContext, invokingState?: number);
    CYPHER5(): TerminalNode;
    CYPHER25(): TerminalNode;
    get ruleIndex(): number;
    enterRule(listener: StatementsListener): void;
    exitRule(listener: StatementsListener): void;
    accept<Result>(visitor: StatementsVisitor<Result>): Result;
}
